<?php


namespace App\Entities\OpcaoPergunta;


use App\Utils\Builder;

class OpcaoPerguntaBuilder implements Builder
{
    protected $id;
    protected $id_pergunta;
    protected $descricao;

    public function setId(int $id): OpcaoPerguntaBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdPERGUNTA(int $id_pergunta): OpcaoPerguntaBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    public function setDescricao(string $descricao): OpcaoPerguntaBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build(): OpcaoPergunta
    {
        $opcao_pergunta = new OpcaoPergunta();
        if (isset($this->id)) {
            $opcao_pergunta->setid($this->id);
        }
        if (isset($this->id_pergunta)) {
            $opcao_pergunta->setidPERGUNTA($this->id_pergunta);
        }
        if (isset($this->descricao)) {
            $opcao_pergunta->setdescricao($this->descricao);
        }
        return $opcao_pergunta;
    }


}